aboutsummaryrefslogtreecommitdiffstats
path: root/main/poppler/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'main/poppler/APKBUILD')
-rw-r--r--main/poppler/APKBUILD20
1 files changed, 17 insertions, 3 deletions
diff --git a/main/poppler/APKBUILD b/main/poppler/APKBUILD
index fe6f121999..b583161983 100644
--- a/main/poppler/APKBUILD
+++ b/main/poppler/APKBUILD
@@ -5,7 +5,7 @@
# So we build gtk support in poppler-gtk
pkgname=poppler
pkgver=0.16.4
-pkgrel=0
+pkgrel=1
pkgdesc="PDF rendering library based on xpdf 3.0"
url="http://poppler.freedesktop.org/"
arch="all"
@@ -14,7 +14,19 @@ subpackages="$pkgname-dev $pkgname-doc $pkgname-utils"
makedepends="jpeg-dev cairo-dev libxml2-dev fontconfig-dev pkgconfig libiconv-dev"
depends=
depends_dev="cairo-dev"
-source="http://$pkgname.freedesktop.org/$pkgname-$pkgver.tar.gz"
+source="http://$pkgname.freedesktop.org/$pkgname-$pkgver.tar.gz
+ CVE-2013-1788.patch
+ CVE-2013-1790.patch
+ "
+
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
build() {
cd "$srcdir"/$pkgname-$pkgver
@@ -45,4 +57,6 @@ utils() {
mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
}
-md5sums="2b996ca77dad04b422f67238daab48e7 poppler-0.16.4.tar.gz"
+md5sums="2b996ca77dad04b422f67238daab48e7 poppler-0.16.4.tar.gz
+94e120cc99fd966c82242076ce3acde3 CVE-2013-1788.patch
+c323881bb51d52db9de44de3e01adcc7 CVE-2013-1790.patch"